Skip to content

Add a new location to a device.

POST
/api/v1/{tenantId}/devices/{deviceId}/locations

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

deviceId
required
string
tenantId
required
string
object
tenantId
string
nullable
tenantUuid
string
nullable
name
string
nullable
locationId
string
nullable
attachToPartId
string
nullable
position
Array<number>
nullable
orientation
Array<number>
nullable
isEnabled
boolean
isHidden
boolean
isTeachDisabled
boolean
claimParentDevice
boolean
deviceInstanceId
string
nullable

OK

object
location
object
tenantId
string
nullable
tenantUuid
string
nullable
name
string
nullable
locationId
string
nullable
attachToPartId
string
nullable
position
Array<number>
nullable
orientation
Array<number>
nullable
isEnabled
boolean
isHidden
boolean
isTeachDisabled
boolean
claimParentDevice
boolean

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable